=== drivers/net/wireless/rt2x00/Makefile ===
80211-objs := \
	ieee80211/ieee80211.o \
	ieee80211/ieee80211_ioctl.o \
	ieee80211/sta_info.o \
	ieee80211/wep.o \
	ieee80211/wpa.o \
	ieee80211/ieee80211_proc.o \
	ieee80211/ieee80211_scan.o \
	ieee80211/ieee80211_sta.o \
	ieee80211/ieee80211_dev.o \
	ieee80211/ieee80211_iface.o \
	ieee80211/ieee80211_sysfs.o \
	ieee80211/michael.o \
	ieee80211/tkip.o \
	ieee80211/aes_ccm.o \
	ieee80211/wme.o

ifeq ($(CONFIG_NET_SCHED),)
	80211-objs += ieee80211/fifo_qdisc.o
endif

rate_control-objs := ieee80211/rate_control.o
radiobtn-objs := radiobtn/radiobtn.o

obj-$(CONFIG_D80211)		+= 80211.o rate_control.o
obj-$(CONFIG_RADIOBTN)		+= radiobtn.o
obj-$(CONFIG_RT2400PCI)		+= rt2400pci.o
obj-$(CONFIG_RT2500PCI)		+= rt2500pci.o
obj-$(CONFIG_RT2500USB)		+= rt2500usb.o
obj-$(CONFIG_RT61PCI)		+= rt61pci.o
obj-$(CONFIG_RT73USB)		+= rt73usb.o

EXTRA_CFLAGS += -I$(src)/ieee80211 -I$(src)/radiobtn/linux \
	-include $(srctree)/$(src)/rt2x00_compat.h
