=== drivers/net/wireless/rtl_ieee80211/Makefile ===
ieee80211-rtl-objs = rtl_ieee80211_softmac.o rtl_ieee80211_rx.o rtl_ieee80211_tx.o rtl_ieee80211_wx.o rtl_ieee80211_module.o rtl_ieee80211_softmac_wx.o rtl_ieee80211_crypt.o rtl_ieee80211_crypt_tkip.o rtl_ieee80211_crypt_ccmp.o rtl_ieee80211_crypt_wep.o

obj-m += ieee80211-rtl.o
