=== drivers/net/wireless/rt2x00-legacy/rt2500/Makefile ===
MODULE_NAME := rt2500

RESMAN_CORE_OBJS := rtmp_main.o
RESMAN_GLUE_OBJS := mlme.o connect.o sync.o assoc.o auth.o auth_rsp.o rtmp_data.o rtmp_init.o sanity.o rtmp_wep.o wpa.o md5.o rtmp_tkip.o rtmp_info.o eeprom.o

$(MODULE_NAME)-objs := $(RESMAN_CORE_OBJS) $(RESMAN_GLUE_OBJS)

obj-$(CONFIG_RT2500_LEGACY) += $(MODULE_NAME).o
