=== drivers/net/wireless/rt2x00-legacy/rt2570/Makefile ===
MODULE_NAME := rt2570

RESMAN_CORE_OBJS := rtusb_main.o
RESMAN_GLUE_OBJS := mlme.o rtusb_bulk.o connect.o sync.o rtusb_init.o rtmp_tkip.o wpa.o rtmp_wep.o rtusb_info.o assoc.o auth.o auth_rsp.o md5.o rtusb_io.o sanity.o rtusb_data.o

$(MODULE_NAME)-objs := $(RESMAN_CORE_OBJS) $(RESMAN_GLUE_OBJS)

obj-$(CONFIG_RT2570_LEGACY) += $(MODULE_NAME).o
