=== debian/changelog ===
xen-source-2.6.16 (2.6.16-11.2) edgy; urgency=low

  * "The sweaty palms release".
  * Added xenu support.
  * Various fixes to xen-headers and amd64 fixes by Tolleff.

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 16 Sep 2006 08:47:47 -0400

ixen-source-2.6.16 (2.6.16-11.1) edgy; urgency=low

  * Start stablization cycle:
    - Fix FBTFS.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Sep 2006 11:43:37 -0400

xen-source-2.6.16 (2.6.16-11) edgy; urgency=low

  * Updated amd64-generic configs.
  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Sep 2006 19:29:09 -0400

xen-source-2.6.16 (2.6.16-10) edgy; urgency=low

  * Updated to 2.6.16.29-rc1.
  * Updated to Xen snapshot 112412.
  * Added bd_claim patch from Tollef.
  * Removed 686, and k7, replaced by generic.
  * Removed amd64-k8, amd64-xeon replaced by amd64-generic.
  * Added support for ndiswrapper.
  * Added support for bcm43xx.
  * Added support for acx100.
  * Added support for rt2x00.
  * Added support for rt2x00-legacy
  * Added support for rtl8187.
  * Added support for rtl818x.
  * Added support for zd1211rw.
  * Fixed kernel headers.

 -- Chuck Short <zulcss@ubuntu.com>  Tue,  5 Sep 2006 21:41:25 -0400

xen-source-2.6.16 (2.6.16-9) edgy; urgency=low

  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 20 Aug 2006 10:47:07 -0400

xen-source-2.6.16 (2.6.16-8) edgy; urgency=low

  * Updated to latest and greatest stable tree.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Aug 2006 08:17:47 -0400

xen-source-2.6.16 (2.6.16-7) edgy; urgency=low

  * Fix Typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 13 Aug 2006 17:52:32 -0400

xen-source-2.6.16 (2.6.16-6) edgy; urgency=low

  * Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Tue,  8 Aug 2006 14:15:37 -0400

xen-source-2.6.16 (2.6.16-5) edgy; urgency=low

  * Added amd64 support.
     * Added generic, k8 and xeon flavours
  * Added k7 flavours.
  * Added firmware support.

 -- Chuck Short <zulcss@gmail.com>  Fri,  4 Aug 2006 21:32:07 -0400

xen-source-2.6.16 (2.6.16-4) edgy; urgency=low

  * Updated configs, set CONFIG_BLK_DEV_LOOP to module.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 31 Jul 2006 22:50:08 -0400

xen-source-2.6.16 (2.6.16-3) edgy; urgency=low

  * Fix another FTBFS.
  * Cleaned up debian/rules file.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 30 Jul 2006 12:15:53 +0000

xen-source-2.6.16 (2.6.16-2) edgy; iurgency=low

  * Fix FTBFS.
  * Added xen-doc-2.6.16 and xen-source-2.6.16.
  * Fixed typos in control file.
   

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 29 Jul 2006 04:13:39 +0000

xen-source-2.6.16 (2.6.16-1) edgy; urgency=low

  This release was brought to you by the letter X.

  * Initial release.
    - Linux kernel based off of 2.6.16.27.
    - Xen snapshot is based off xen-unstable hg tree. Snapshot date
      is 20060724.
    - Kernel only supports x86 archictecture with the 686 in this
      release.
    - ABI detection has be temporarily removed.
    - This release does not provide 3rd party drivers, there are plans
      fo the future.
    - Please use mkinitramfs to generate an image for the XEN kernel.
    - Thanks to Ben Collins for the help and advice.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Jun 2006 19:58:23 -0400
